
Infrastructure - Task #3961

Story # 3959 (Closed): Decrease rollout time for ansible playbooks

Pin dataone debian packages

2013-09-02 17:12 - Robert Waltz

Status: Closed Start date: 2013-09-02

Priority: Normal Due date:  

Assignee: Chris Brumgard % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2013.35-Block.5.1   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

Every dataone debian package will need to be pinned (or otherwise held back from upgrading) in debian.  The version numbers may

be found in the Packages.gz file prepared during the hudson build process.

For development and sandbox, download the 

http://dev-testing.dataone.org/ubuntu-unstable/dists/lucid/universe/binary-amd64/Packages.gz file, open it and read in the latest

release versions. These versions should be used for pinning the packages.

For stage2, the endpoint is http://dev-testing.dataone.org/ubuntu-stage/dists/lucid/universe/binary-amd64/Packages.gz

For stage and prod, the endpoint is  http://dev-testing.dataone.org/ubuntu-stable/dists/lucid/universe/binary-amd64/Packages.gz

Please note, that we have a hierarchy of dependencies, such that any top-level playbook should run upgrades in an order consistent

with the different levels:

Top level (no other d1 dependencies)

dataone-solr

dataone-jetty

dataone-zookeeper

dataone-cn-version-tool

dataone-cn-os-core

Second Tier ( has top-level dependencies)

dataone-solr-jetty -> dataone-solr, dataone-jetty

dataone-cn-metacat -> dataone-cn-version-tool, dataone-cn-os-core

dataone-cn-portal -> dataone-cn-version-tool, dataone-cn-os-core

dataone-cn-monitor -> dataone-cn-version-tool, dataone-cn-os-core

dataone-cn-rest-service -> dataone-cn-version-tool, dataone-cn-os-core

Third Tier ( has Second-Tier dependencies)

dataone-cn-solr -> dataone-cn-version-tool, dataone-cn-os-core, dataone-cn-metacat

dataone-cn-audit-index -> dataone-cn-os-core, dataone-solr-jetty, dataone-zookeeper

Fourth Tier ( has Third-Tier dependencies)

dataone-cn-index -> dataone-cn-version-tool, dataone-cn-os-core, dataone-cn-metacat, dataone-cn-solr

dataone-cn-processdaemon -> dataone-cn-version-tool, dataone-cn-os-core, dataone-cn-metacat, dataone-cn-solr

dataone-mercury -> dataone-cn-version-tool, dataone-cn-solr

Associated revisions

Revision 18c60045 - 2013-09-16 17:58 - Robert Waltz

refs #3961

added exit status and stopping database
Revision 12607 - 2013-09-16 17:58 - Robert Waltz

refs #3961

added exit status and stopping database

Revision 12607 - 2013-09-16 17:58 - Robert Waltz

refs #3961

added exit status and stopping database

Revision a77c2b18 - 2013-09-16 18:01 - Robert Waltz

refs #3961

added exit status

Revision 12608 - 2013-09-16 18:01 - Robert Waltz

refs #3961

added exit status

Revision 12608 - 2013-09-16 18:01 - Robert Waltz

refs #3961

added exit status

Revision 64fc8a17 - 2013-09-16 18:02 - Robert Waltz

refs #3961

added exit status

Revision 12609 - 2013-09-16 18:02 - Robert Waltz

refs #3961

added exit status

Revision 12609 - 2013-09-16 18:02 - Robert Waltz

refs #3961

added exit status

Revision f5b22ac7 - 2013-09-16 18:02 - Robert Waltz

refs #3961

added exit status
Revision 12610 - 2013-09-16 18:02 - Robert Waltz

refs #3961

added exit status

Revision 12610 - 2013-09-16 18:02 - Robert Waltz

refs #3961

added exit status

Revision 81e56f63 - 2013-09-16 18:03 - Robert Waltz

refs #3961

added exit status

Revision 12611 - 2013-09-16 18:03 - Robert Waltz

refs #3961

added exit status

Revision 12611 - 2013-09-16 18:03 - Robert Waltz

refs #3961

added exit status

Revision 23d289a4 - 2013-09-16 18:03 - Robert Waltz

refs #3961

added exit status

Revision 12612 - 2013-09-16 18:03 - Robert Waltz

refs #3961

added exit status

Revision 12612 - 2013-09-16 18:03 - Robert Waltz

refs #3961

added exit status

Revision b9287ee5 - 2013-09-16 18:04 - Robert Waltz

refs #3961

added exit status
Revision 12613 - 2013-09-16 18:04 - Robert Waltz

refs #3961

added exit status

Revision 12613 - 2013-09-16 18:04 - Robert Waltz

refs #3961

added exit status

Revision 62c9ea64 - 2013-09-16 18:04 - Robert Waltz

refs #3961

added exit status

Revision 12614 - 2013-09-16 18:04 - Robert Waltz

refs #3961

added exit status

Revision 12614 - 2013-09-16 18:04 - Robert Waltz

refs #3961

added exit status

Revision f3847e48 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 12615 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 12615 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 8a91e5df - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status
Revision 12616 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 12616 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 944e9ebc - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 12617 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision 12617 - 2013-09-16 18:05 - Robert Waltz

refs #3961

added exit status

Revision ebd4a372 - 2013-09-16 18:06 - Robert Waltz

refs #3961

added exit status

Revision 12618 - 2013-09-16 18:06 - Robert Waltz

refs #3961

added exit status

Revision 12618 - 2013-09-16 18:06 - Robert Waltz

refs #3961

added exit status

Revision 435d2ea3 - 2013-09-16 18:06 - Robert Waltz

refs #3961

added exit status
Revision 12619 - 2013-09-16 18:06 - Robert Waltz

refs #3961

added exit status

Revision 12619 - 2013-09-16 18:06 - Robert Waltz

refs #3961

added exit status

Revision 978fe4fb - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision 12620 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision 12620 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision 46fc4224 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision 12621 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision 12621 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision d32b9ed9 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status
Revision 12622 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision 12622 - 2013-09-16 18:07 - Robert Waltz

refs #3961

added exit status

Revision a1518f23 - 2013-09-16 18:08 - Robert Waltz

refs #3961

added exit status

Revision 12623 - 2013-09-16 18:08 - Robert Waltz

refs #3961

added exit status

Revision 12623 - 2013-09-16 18:08 - Robert Waltz

refs #3961

added exit status

Revision 04e3324a - 2013-09-16 18:09 - Robert Waltz

refs #3961

added exit status

Revision 12624 - 2013-09-16 18:09 - Robert Waltz

refs #3961

added exit status

Revision 12624 - 2013-09-16 18:09 - Robert Waltz

refs #3961

added exit status

Revision 1fafd5ce - 2013-09-16 18:10 - Robert Waltz

refs #3961

added exit status
Revision 12625 - 2013-09-16 18:10 - Robert Waltz

refs #3961

added exit status

Revision 12625 - 2013-09-16 18:10 - Robert Waltz

refs #3961

added exit status

History

#1 - 2013-09-02 17:17 - Robert Waltz

- Subject changed from Peg dataone debian packages to Pin dataone debian packages

- Description updated

#2 - 2013-09-02 17:19 - Robert Waltz

- Description updated

#3 - 2013-10-01 19:45 - Chris Brumgard

- Product Version set to *

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Wrote a pinning routine and playbook.  The pinning get its information from packages.gz on hudson for the environment of the installation.
